Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| OntoSim 2.0
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## fr.inrialpes.exmo.ontosim.align
Class ASUnionPathCoverageMeasure

    java.lang.Object
      fr.inrialpes.exmo.ontosim.align.AbstractAlignmentSpaceMeasure<fr.inrialpes.exmo.ontowrap.LoadedOntology<?>>
          fr.inrialpes.exmo.ontosim.align.ASAbstractCoverageTraversal
              fr.inrialpes.exmo.ontosim.align.ASUnionPathCoverageMeasure

All Implemented Interfaces:
  AlignmentSpaceMeasure<fr.inrialpes.exmo.ontowrap.LoadedOntology<?>>, Measure<fr.inrialpes.exmo.ontowrap.LoadedOntology<?>>

    public class ASUnionPathCoverageMeasure

extends ASAbstractCoverageTraversal

Nested Class Summary

Nested classes/interfaces inherited from interface fr.inrialpes.exmo.ontosim.Measure
`Measure.TYPES`

Field Summary

Fields inherited from class fr.inrialpes.exmo.ontosim.align.ASAbstractCoverageTraversal
`EquivRel, globaliterations, prevtable, prevtable2`

Fields inherited from class fr.inrialpes.exmo.ontosim.align.AbstractAlignmentSpaceMeasure
`measureMatrix, network`

Constructor Summary
`ASUnionPathCoverageMeasure()`
`ASUnionPathCoverageMeasure(org.semanticweb.owl.align.OntologyNetwork noo)`

Method Summary

Methods inherited from class fr.inrialpes.exmo.ontosim.align.ASAbstractCoverageTraversal
`alreadyVisited, applyAlignment, differs, getDissim, getMeasureValue, getMType, getSim, getValue, includedIn, objectsToPreserve, traverse`

Methods inherited from class fr.inrialpes.exmo.ontosim.align.AbstractAlignmentSpaceMeasure
`addAlignment, getAlignments, setAlignmentSpace`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### ASUnionPathCoverageMeasure

    public ASUnionPathCoverageMeasure(org.semanticweb.owl.align.OntologyNetwork noo)

### ASUnionPathCoverageMeasure

    public ASUnionPathCoverageMeasure()

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| OntoSim 2.0
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

(C) INRIA & friends, 2008-2009